<html>
<head>
<title>OgreLodListener.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreLodListener.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreLodListener_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __LodListener_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __LodListener_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036 
<a name="l00043"></a>00043 
<a name="l00044"></a><a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html">00044</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html" title="Struct containing information about a lod change event for movable objects.">MovableObjectLodChangedEvent</a>
<a name="l00045"></a>00045     {
<a name="l00047"></a><a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html#af1634e44ab330c287488365219d7f4bd">00047</a>         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> *<a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html#af1634e44ab330c287488365219d7f4bd" title="The movable object whose level of detail has changed.">movableObject</a>;
<a name="l00048"></a>00048 
<a name="l00050"></a><a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html#af49dc1c7f039fa4d999e9621bfdf72de">00050</a>         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *<a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html#af49dc1c7f039fa4d999e9621bfdf72de" title="The camera with respect to which the level of detail has changed.">camera</a>;
<a name="l00051"></a>00051     };
<a name="l00052"></a>00052 
<a name="l00054"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html">00054</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html" title="Struct containing information about a mesh lod change event for entities.">EntityMeshLodChangedEvent</a>
<a name="l00055"></a>00055     {
<a name="l00057"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#aa287ecb05d015608480649f83d82e82a">00057</a>         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> *<a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#aa287ecb05d015608480649f83d82e82a" title="The entity whose level of detail has changed.">entity</a>;
<a name="l00058"></a>00058 
<a name="l00060"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a96ceab8917968af723ceb61255b32176">00060</a>         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *<a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a96ceab8917968af723ceb61255b32176" title="The camera with respect to which the level of detail has changed.">camera</a>;
<a name="l00061"></a>00061 
<a name="l00063"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a296d3f28b84001e84a6153a6b8892dc7">00063</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a296d3f28b84001e84a6153a6b8892dc7" title="Lod value as determined by lod strategy.">lodValue</a>;
<a name="l00064"></a>00064 
<a name="l00066"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a1a625ed93ab2583259ccda5e55b791f3">00066</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a1a625ed93ab2583259ccda5e55b791f3" title="Previous level of detail index.">previousLodIndex</a>;
<a name="l00067"></a>00067 
<a name="l00069"></a><a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a5776be6e6bfcafad43bbf2f3ca2f1b8d">00069</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html#a5776be6e6bfcafad43bbf2f3ca2f1b8d" title="New level of detail index.">newLodIndex</a>;
<a name="l00070"></a>00070     };
<a name="l00071"></a>00071 
<a name="l00073"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html">00073</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html" title="Struct containing information about a material lod change event for entities.">EntityMaterialLodChangedEvent</a>
<a name="l00074"></a>00074     {
<a name="l00076"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a0b03437c5c7d5e9948e413f776c83b24">00076</a>         <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a> *<a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a0b03437c5c7d5e9948e413f776c83b24" title="The sub-entity whose material&#39;s level of detail has changed.">subEntity</a>;
<a name="l00077"></a>00077 
<a name="l00079"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a4bfd20cbada596bc5f5df22d27a9003a">00079</a>         <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a> *<a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a4bfd20cbada596bc5f5df22d27a9003a" title="The camera with respect to which the level of detail has changed.">camera</a>;
<a name="l00080"></a>00080 
<a name="l00082"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a9f6f11b3dc3989fc136e7796b8c9669c">00082</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a9f6f11b3dc3989fc136e7796b8c9669c" title="Lod value as determined by lod strategy.">lodValue</a>;
<a name="l00083"></a>00083 
<a name="l00085"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#ac1ef9f1812187d614ffa45cd3059ca05">00085</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#ac1ef9f1812187d614ffa45cd3059ca05" title="Previous level of detail index.">previousLodIndex</a>;
<a name="l00086"></a>00086 
<a name="l00088"></a><a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a3cf406b5a0364410f0090013e41ed924">00088</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html#a3cf406b5a0364410f0090013e41ed924" title="New level of detail index.">newLodIndex</a>;
<a name="l00089"></a>00089     };
<a name="l00090"></a>00090 
<a name="l00091"></a>00091 
<a name="l00117"></a><a class="code" href="classOgre_1_1LodListener.html">00117</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1LodListener.html" title="A interface class defining a listener which can be used to receive notifications of lod events...">LodListener</a>
<a name="l00118"></a>00118     {
<a name="l00119"></a>00119     <span class="keyword">public</span>:
<a name="l00120"></a>00120 
<a name="l00121"></a><a class="code" href="classOgre_1_1LodListener.html#a437b5f300e0f3c38fa581d87e8643784">00121</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1LodListener.html#a437b5f300e0f3c38fa581d87e8643784">~LodListener</a>() {}
<a name="l00122"></a>00122 
<a name="l00134"></a><a class="code" href="classOgre_1_1LodListener.html#afeed906381e75aa6449c95085a207a53">00134</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prequeueMovableObjectLodChanged(<span class="keyword">const</span> <a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html" title="Struct containing information about a lod change event for movable objects.">MovableObjectLodChangedEvent</a>&amp; evt)
<a name="l00135"></a>00135         { (void)evt; <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00136"></a>00136 
<a name="l00143"></a><a class="code" href="classOgre_1_1LodListener.html#a80c7d710fa6e8119a3294f3f8fd80e46">00143</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postqueueMovableObjectLodChanged(<span class="keyword">const</span> <a class="code" href="structOgre_1_1MovableObjectLodChangedEvent.html" title="Struct containing information about a lod change event for movable objects.">MovableObjectLodChangedEvent</a>&amp; evt)
<a name="l00144"></a>00144         { (void)evt; }
<a name="l00145"></a>00145 
<a name="l00162"></a><a class="code" href="classOgre_1_1LodListener.html#a812c2bf8014cda9f2ef8fa115d4be416">00162</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prequeueEntityMeshLodChanged(<a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html" title="Struct containing information about a mesh lod change event for entities.">EntityMeshLodChangedEvent</a>&amp; evt)
<a name="l00163"></a>00163         { (void)evt; <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00164"></a>00164 
<a name="l00171"></a><a class="code" href="classOgre_1_1LodListener.html#a90c2e6ca102b8b43fa2819fc752caf5a">00171</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postqueueEntityMeshLodChanged(<span class="keyword">const</span> <a class="code" href="structOgre_1_1EntityMeshLodChangedEvent.html" title="Struct containing information about a mesh lod change event for entities.">EntityMeshLodChangedEvent</a>&amp; evt)
<a name="l00172"></a>00172         { (void)evt; }
<a name="l00173"></a>00173 
<a name="l00190"></a><a class="code" href="classOgre_1_1LodListener.html#a2690efbb582ca532ad79f4e682730ecd">00190</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> prequeueEntityMaterialLodChanged(<a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html" title="Struct containing information about a material lod change event for entities.">EntityMaterialLodChangedEvent</a>&amp; evt)
<a name="l00191"></a>00191         { (void)evt; <span class="keywordflow">return</span> <span class="keyword">false</span>; }
<a name="l00192"></a>00192 
<a name="l00199"></a><a class="code" href="classOgre_1_1LodListener.html#aa8bdff391f4865fa7da6f301c350400f">00199</a>         <span class="keyword">virtual</span> <span class="keywordtype">void</span> postqueueEntityMaterialLodChanged(<span class="keyword">const</span> <a class="code" href="structOgre_1_1EntityMaterialLodChangedEvent.html" title="Struct containing information about a material lod change event for entities.">EntityMaterialLodChangedEvent</a>&amp; evt)
<a name="l00200"></a>00200         { (void)evt; }
<a name="l00201"></a>00201 
<a name="l00202"></a>00202     };
<a name="l00205"></a>00205 }
<a name="l00206"></a>00206 
<a name="l00207"></a>00207 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
